Bug 1769395 - No samples for various kinds of ConsoleLink
Summary: No samples for various kinds of ConsoleLink
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.3.0
Assignee: Robb Hamilton
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-06 14:38 UTC by Samuel Padgett
Modified: 2020-01-23 11:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Version: 4.3.0-0.ci-2019-11-06-112104 Cluster ID: fec3ce36-0b01-4b4e-9549-c66c9e86ac4e
Last Closed: 2020-01-23 11:11:16 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 3278 0 'None' 'closed' 'Bug 1769395: Add additional ConsoleLink examples' 2019-11-11 02:27:37 UTC
Red Hat Product Errata RHBA-2020:0062 0 None None None 2020-01-23 11:11:34 UTC

Description Samuel Padgett 2019-11-06 14:38:58 UTC
This is a usability bug as it's difficult to create this in the YAML editor by hand. We should provide samples for each kind of link.

Comment 2 Yadan Pei 2019-11-11 02:33:25 UTC
When user tries to create ConsoleLink from page /k8s/cluster/console.openshift.io~v1~ConsoleLink/~new

There are Schema and Samples, in Samples, we have 'Add a link to the user menu', 'Add a link to the application menu' and 'Add a link to the namespace dashboard'

Verified on 4.3.0-0.nightly-2019-11-10-185106

Comment 4 errata-xmlrpc 2020-01-23 11:11:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0062


Note You need to log in before you can comment on or make changes to this bug.